Bug 445454 - Review Request: python-virtkey - Python extension for emulating keypresses and getting current keyboard layout
Review Request: python-virtkey - Python extension for emulating keypresses an...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 447366 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 17:46 EDT by Sindre Pedersen Bjørdal
Modified: 2008-05-30 17:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 17:30:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
path to fix build issues on 64 bit arch (1.16 KB, patch)
2008-05-22 03:02 EDT, Parag AN(पराग)
no flags Details | Diff
patch to fix build issues on 64 bit arch (912 bytes, patch)
2008-05-22 03:27 EDT, Parag AN(पराग)
no flags Details | Diff

  None (edit)
Description Sindre Pedersen Bjørdal 2008-05-06 17:46:18 EDT
Spec URL: http://sindrepb.fedorapeople.org/packages/python-virtkey.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/python-virtkey-0.50-1.fc9.src.rpm

Description: 

Python-virtkey is a python extension for emulating keypresses and getting
current keyboard layout.
Comment 2 Parag AN(पराग) 2008-05-20 00:40:50 EDT
I am not sure why build is failing. I see that buildroot already installed
glib2-devel on ppc64 and x86_64 but still I can see error 
/usr/include/glib-2.0/glib/gtypes.h:30:24: error: glibconfig.h: No such file or
directory
whereas i386 build successfully completed.

Also, license is LGPLv2+
Comment 3 Sindre Pedersen Bjørdal 2008-05-20 18:49:04 EDT
I'm stomped as to why this fails to build as well. 
Comment 4 Matthias Clasen 2008-05-21 23:39:26 EDT
*** Bug 447366 has been marked as a duplicate of this bug. ***
Comment 5 Parag AN(पराग) 2008-05-22 03:02:40 EDT
Created attachment 306340 [details]
path to fix build issues on 64 bit arch

I have created patch to setup.py. Though I am not a core python programmer but
I did some changes in setup.py and its building fine now.
Comment 6 Parag AN(पराग) 2008-05-22 03:27:47 EDT
Created attachment 306343 [details]
patch to fix build issues on 64 bit arch

Thanks to ivazquez who helped to create this correct patch now.
Comment 7 Sindre Pedersen Bjørdal 2008-05-22 08:45:21 EDT
Package updated with patch, nice work, thanks!

Spec URL: http://sindrepb.fedorapeople.org/packages/python-virtkey.spec
SRPM URL:
http://sindrepb.fedorapeople.org/packages/python-virtkey-0.50-3.fc9.src.rpm
Comment 8 Parag AN(पराग) 2008-05-26 00:22:19 EDT
Review:
+ package builds in mock.
 Koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=628436
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
7784e71e20413424ca7afa7ac9eda7fd  python-virtkey-0.50.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package python-virtkey-0.50-3.fc10 =>
 Provides: virtkey.so 
 Requires: libX11.so.6 libXtst.so.6 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4)
 libgdk-x11-2.0.so.0 libglib-2.0.so.0 libpthread.so.0 libpython2.5.so.1.0
python(abi) = 2.5
APPROVED.
Comment 9 Sindre Pedersen Bjørdal 2008-05-28 10:07:15 EDT
New Package CVS Request
=======================
Package Name: python-virtkey
Short Description: Python extension for emulating keypresses and getting current
keyboard layout
Owners: sindrepb
Branches: F-8 F-8
InitialCC:
Cvsextras Commits: yes
Comment 10 Sindre Pedersen Bjørdal 2008-05-28 10:09:04 EDT
New Package CVS Request
=======================
Package Name: python-virtkey
Short Description: Python extension for emulating keypresses and getting current
keyboard layout
Owners: sindrepb
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-05-30 15:50:56 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.